@echo off
  rem Pretty silly "configure" script for PCC II on MS systems

  if "%1" == "/?" goto help
  if "%1" == "-?" goto help
  if not "%1" == "" goto %1
  if not "%1" == "" goto error
  if not "%DJGPP%" == "" goto djgpp
  if not "%VS80COMNTOOLS%" == "" goto vc8

:bcc55
  echo === Configuring for Borland C++ on Windows ===
  if "%1" == "" echo (If this is wrong, try 'config /?'.)

  copy arch\win32-bcc55\acdefs.h . >nul
  copy arch\win32-bcc55\acdefs.mak . >nul
  echo #include "arch\win32-bcc55\platform.h">arch\platform.h

  echo Please edit "acdefs.mak" and fix the path names, then
  echo type "make -fMakefile.bor"
  goto end

:mingw
  echo === Configuring for MINGW on Windows ===
  if "%1" == "" echo (If this is wrong, try 'config /?'.)

  copy arch\win32-mingw\acdefs.h . >nul
  copy arch\win32-mingw\acdefs.mak . >nul
  echo #include "arch\win32-bcc55\platform.h">arch\platform.h

  echo Please edit "acdefs.mak" and fix the path names, then
  echo type "make -f Makefile.min"
  goto end

:vc8
  echo === Configuring for VC8 on Windows ===
  if "%1" == "" echo (If this is wrong, try 'config /?'.)

  copy arch\win32-vc8\acdefs.h . >nul
  copy arch\win32-vc8\acdefs.mak . >nul
  echo #include "arch\win32-bcc55\platform.h">arch\platform.h

  echo Please edit "acdefs.mak" and fix the path names, then
  echo type "nmake -f Makefile.vc8"
  goto end
  
:djgpp
  echo === Configuring for DJGPP on DOS ===
  if "%1" == "" echo (If this is wrong, try 'config /?'.)

  echo #include "arch\dos-djgpp\platform.h">arch\platform.h

  echo Please edit "acdefs.mak" and fix the path names, then
  echo invoke GNU make.
  goto end

:error
  echo ERROR: Unknown target '%1'
  echo.
:help
  echo Use 'config bcc55' to configure for Borland C++ on Windows
  echo Use 'config mingw' to configure for MINGW on Windows
  echo Use 'config vc8' to configure for VC8 on Windows
  echo Use 'config djgpp' to configure for DJGPP on DOS
:end
